Subject: Re: Last Call: draft-farrel-rtg-common-bnf-07

From: "Adrian Farrel" <[email-masked]>
Date: Thu, 5 Feb 2009 12:18:47 -0000

Sam,

Thanks.

I am adding a brief applicability statement as section 1.3 of this document.

Cheers,
Adrian
----- Original Message ----- 
From: "Sam Hartman" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Sent: Thursday, January 22, 2009 5:13 PM
Subject: Last Call: draft-farrel-rtg-common-bnf-07

>
>
> This draft specifies the BNF varient used in RSVP and related
> protocols.  The authors correctly indicate that converting these BNF
> specifications to use ABNF or some other already documented BNF form
> would be a lot of work.  So, I agree that we should document this BNF
> varient.
>
> However I believe that this document could benefit from an
> applicability statement describing when this reduced varient is
> appropriate.  Examples of cases where this seems appropriate include
> when extending RSVP or related protocols; when designing a new
> protocol that shares messages, objects or mind-share with RSVP; or if
> this BNF varient has already been in use for the protocol.  Much of
> the text discussing this is in the document, but I think it would be
> better phrased as an applicability statement.
>